Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.genericasync.builders.impl
Class RequestObjectBuilderImpl

    java.lang.Object
      be.ehealth.businessconnector.genericasync.builders.impl.RequestObjectBuilderImpl

All Implemented Interfaces:
  RequestObjectBuilder, ConfigurableImplementation

    public class RequestObjectBuilderImpl

extends Object
implements RequestObjectBuilder

Implementation for the `RequestObjectBuilder` interface

Constructor Summary
`RequestObjectBuilderImpl()`

Method Summary
`Confirm` | `buildConfirmRequest(OrigineType origin, List<MsgResponse> msgResponses, List<TAckResponse> tackResponses)` Builds a Confirm request from given parameters
`Confirm` | `buildConfirmRequestWithHashes(OrigineType origin, List<byte[]> msgHashValues, List<byte[]> tackContents)` Builds a Confirm request from given parameters
`Get` | `buildGetRequest(OrigineType origin, MsgQuery msgQuery, Query tackQuery)` Builds a Get request from given parameters
`Post` | `buildPostRequest(CommonInput commonInput, Blob blob, byte[] xades)` Builds a Post request from given parameters
`MsgQuery` | `createMsgQuery(Integer max, Boolean include, String... messageNames)` convenience builder for `MsgQuery`
`Query` | `createQuery(Integer max, Boolean include)` O creates the `Query` object.
`void` | `initialize(Map<String,Object> parameterMap)` initializes the implementation with additional parameters.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RequestObjectBuilderImpl

    public RequestObjectBuilderImpl()

Method Detail

### buildPostRequest

    public final Post buildPostRequest(CommonInput commonInput,
                                       Blob blob,
                                       byte[] xades)

  Description copied from interface: `RequestObjectBuilder`
  Builds a Post request from given parameters

  Specified by:
    `buildPostRequest` in interface `RequestObjectBuilder`
  Parameters:
    `commonInput` - the common input
    `blob` - the details of the transaction
    `xades` - the xades
  Returns:
    the Post object
  See Also:
    `be.ehealth.businessconnector.genericasync.builders.RequestObjectBuilder#buildPostRequest(be.cin.mycarenet.esb.common.v2.CommonInput, be.cin.types.v1.Blob, be.ehealth.businessconnector.genericasync.domain.Xades)`

### buildGetRequest

    public final Get buildGetRequest(OrigineType origin,
                                     MsgQuery msgQuery,
                                     Query tackQuery)

  Description copied from interface: `RequestObjectBuilder`
  Builds a Get request from given parameters

  Specified by:
    `buildGetRequest` in interface `RequestObjectBuilder`
  Parameters:
    `origin` - the origin
    `msgQuery` - the message query
    `tackQuery` - the tack query
  Returns:
    the Get object
  See Also:
    `RequestObjectBuilder.buildGetRequest(be.cin.mycarenet.esb.common.v2.OrigineType, be.cin.nip.async.generic.MsgQuery, be.cin.nip.async.generic.Query)`

### buildConfirmRequest

    public final Confirm buildConfirmRequest(OrigineType origin,
                                             List<MsgResponse> msgResponses,
                                             List<TAckResponse> tackResponses)
                                      throws TechnicalConnectorException,
                                             DataFormatException

  Description copied from interface: `RequestObjectBuilder`
  Builds a Confirm request from given parameters

  Specified by:
    `buildConfirmRequest` in interface `RequestObjectBuilder`
  Parameters:
    `origin` - the origin
    `msgResponses` - the list of messages responses (from the get response)
    `tackResponses` - tackContents the tack contents (from the get response)
  Returns:
    the Confirm object
  Throws:
    `TechnicalConnectorException`
    `DataFormatException` - if an error occurs while decompressing the blob
  See Also:
    `RequestObjectBuilder.buildConfirmRequest(be.cin.mycarenet.esb.common.v2.OrigineType, java.util.List, java.util.List)`

### buildConfirmRequestWithHashes

    public Confirm buildConfirmRequestWithHashes(OrigineType origin,
                                                 List<byte[]> msgHashValues,
                                                 List<byte[]> tackContents)

  Builds a Confirm request from given parameters

  Specified by:
    `buildConfirmRequestWithHashes` in interface `RequestObjectBuilder`
  Parameters:
    `origin` -
    `msgResponses` -
    `tackResponses` -
  Returns:

### createQuery

    public Query createQuery(Integer max,
                             Boolean include)

  Description copied from interface: `RequestObjectBuilder`
  O creates the `Query` object.

  Specified by:
    `createQuery` in interface `RequestObjectBuilder`
  Parameters:
    `max` - maximum number of tack results
    `include` - set to false if no responses should be returned, the default value is 'true'
  Returns:
    `Query`
  See Also:
    `RequestObjectBuilder.createQuery(java.lang.Integer, java.lang.Boolean)`

### createMsgQuery

    public MsgQuery createMsgQuery(Integer max,
                                   Boolean include,
                                   String... messageNames)

  Description copied from interface: `RequestObjectBuilder`
  convenience builder for `MsgQuery`

  Specified by:
    `createMsgQuery` in interface `RequestObjectBuilder`
  Parameters:
    `max` - maximum number of tack results
    `include` - set to false if no responses should be returned, the default value is 'true'
    `messageNames` - indicate the message types to receive, if no names are given , all messages for careProvider will be returned
  Returns:
    `MsgQuery`
  See Also:
    `RequestObjectBuilder.createMsgQuery(java.lang.Integer, java.lang.Boolean, java.lang.String[])`

### initialize

    public void initialize(Map<String,Object> parameterMap)
                    throws TechnicalConnectorException

  Description copied from interface: `ConfigurableImplementation`
  initializes the implementation with additional parameters.

  Specified by:
    `initialize` in interface `ConfigurableImplementation`
  Parameters:
    `parameterMap` - Map with for each propertyString ,the input parameter as Object.
  Throws:
    `TechnicalConnectorException` - if the parameterMap is not correct.
  See Also:
    `ConfigurableImplementation.initialize(java.util.Map)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Package PERSMIDWIFE 3.13.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.